Skip to content

Set the destination calendar for new booking events

PUT
/appointments/calendars/destination

Set (upsert) the destination calendar where booking events are pushed. Optionally scoped to a specific event type via event_type_id. Reuses the in-app set_destination_calendar logic (upsert_destination_calendar).

Authorizations

Parameters

Header Parameters

X-Target-Org-Id
Any of:
string

Request Body required

object
credential_id
Any of:
integer
event_type_id
Any of:
integer
external_id
required
string
integration
required
string

Responses

200

Successful Response

Envelope for GET/PUT /calendars/destination. data is null when no destination calendar is configured.

object
data
Any of:
object
credential_id
Any of:
integer
event_type_id
Any of:
integer
external_id
required
string
id
required
integer
integration
required
string
primary_email
Any of:
string

422

Validation Error

object
detail
Array<object>
object
loc
required
Array
msg
required
string
type
required
string